/*global $,owl,smoothScroll,WOW*/
$(document).ready(function () {
    "use strict";

    /* ---------------------------------------------
     Loader Screen
    --------------------------------------------- */
    $(window).load(function () {
        $("body").css('overflow-y', 'auto');
        $('#loading').fadeOut(1000);
    });

    $('[data-tool="tooltip"]').tooltip({
        trigger: 'hover',
        animate: true,
        delay: 50,
        container: 'body'
    });

    //for smoth scroll
    smoothScroll.init({
        speed: 800,
        updateURL: false,
        offset: 85
    });

    var wow = new WOW({
        boxClass: 'wow', // animated element css class (default is wow)
        animateClass: 'animated', // animation css class (default is animated)
        mobile: true, // trigger animations on mobile devices (default is true)
        live: true,
        offset: 100,
        scrollContainer: null // optional scroll container selector, otherwise use window
    });
    wow.init();

    /* ---------------------------------------------
     Sliders
    --------------------------------------------- */
    $(".hero-slider").owlCarousel({
        transitionStyle: "fadeUp",
        navigation: false,
        slideSpeed: 500,
        paginationSpeed: 400,
        singleItem: true,
        responsive: true,
        autoPlay: 4000,
        pagination: true,
        stopOnHover: false
    });

    $(".products-slider").owlCarousel({
        navigation: true,
        slideSpeed: 200,
        responsive: true,
        autoPlay: 7000,
        items: 3,
        mouseDrag: true,
        pagination: false,
        navigationText: ["<span class='slider-left'><i class='fa fa-angle-left'></i></span>", "<span class='slider-right'><i class='fa fa-angle-right'></i></span>"],
        stopOnHover: true,
        itemsCustom: [
			[0, 1],
			[450, 1],
			[600, 1],
			[700, 1],
            [800, 2],
			[1000, 3],
			[1200, 3],
			[1400, 3],
			[1600, 3]
        ]
    });


    /* ---------------------------------------------
     Scrool To Top Button Function
    --------------------------------------------- */
    $(window).scroll(function () {
        if ($(this).scrollTop() > 500) {
            $(".toTop").css("right", "20px");
        } else {
            $(".toTop").css("right", "-60px");
        }
    });

    $(".toTop").click(function () {
        $("html,body").animate({
            scrollTop: 0
        }, 500);
        return false;
    });

    $('.open-search').on("click", function () {
        $('.search_pop').addClass('opened');
    });

    $('.hide-search').on("click", function () {
        $('.search_pop').removeClass('opened');
    });

    $('.open-nav').on("click", function (e) {
        $('.main-navigation').slideToggle();
        $(this).toggleClass('active');
        e.stopPropagation();
    });



    if ($(window).innerWidth() <= 1200) {
        $('body').on('click', function () {

            if ($('.open-nav').hasClass('active')) {
                $('.main-navigation').slideDown();
                $('.open-nav').removeClass('active');
            }
            $('.main-navigation').slideUp();
        });
    }

    //    $('.hero-slider .item').height(window.innerHeight);

    //customize the header
    $(window).scroll(function () {
        if ($(this).scrollTop() > 0) {
            $('.main_head').addClass('stickey');
        } else {
            $('.main_head').removeClass('stickey');
        }
    });

    $('.side-nav').mCustomScrollbar({
        autoHideScrollbar: false,
        setTop: 0,
        scrollInertia: 50,
        theme: "light-1"
    });

    $('.open-sidebar').on('click', function () {
        $('.sidebar').toggleClass('opened');
        $('.overlay_gen').fadeIn();
        $('body').addClass('sided');
    });

    $('.overlay_gen').on('click', function () {
        $('.sidebar').toggleClass('opened');
        $('.overlay_gen').fadeOut();
        $('body').removeClass('sided');
    });

    $("#main-nav").sticky({
        topSpacing: 0
    });

    $(".fancybox").fancybox();

});